body {
  background: var(--light-orange); }

.wrapper {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-flow: column nowrap;
      flex-flow: column nowrap;
  -ms-flex-pack: stretch;
      justify-content: stretch; }

.page-container {
  width: 100%; }

.container--roster {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-flow: row wrap;
      flex-flow: row wrap;
  margin: 0 -1rem; }

.container--loader {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-flow: column nowrap;
      flex-flow: column nowrap;
  max-width: 500px;
  text-align: center; }

.page-title {
  background: var(--orange);
  color: white; }

.page-subtitle {
  background: #f79767;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem; }

.ml-auto {
  margin-left: auto; }

.orientationlock {
  text-align: center; }
  .orientationlock img {
    width: 60%;
    margin: 1rem auto 3rem;
    display: block; }

.build-datetime {
  position: fixed;
  background: rgba(255, 255, 255, 0.5);
  font-size: 0.6em;
  right: 0;
  bottom: 0; }

.dev-info {
  position: fixed;
  background: rgba(255, 255, 255, 0.5);
  bottom: 0;
  left: 0;
  z-index: 1;
  padding: 10px; }

header svg {
  height: 1.25rem;
  width: 1.25rem;
  fill: var(--darkpurple);
  vertical-align: -2px; }

header .navbar-toggle {
  margin-top: 10px; }

header .collapse.show {
  margin: 0 -1rem; }

.nav-link {
  color: var(--gray-300) !important;
  cursor: pointer; }
  .nav-link:hover {
    text-decoration: underline !important;
    text-underline-offset: 0.3125rem; }

.loader {
  margin: 3rem auto;
  font-size: 20px; }
  .loader img {
    width: 30px;
    display: block;
    margin: 0 auto 1rem;
    animation: 1s linear 0s infinite spin; }

@keyframes spin {
  0% {
    transform: rotate(0); }
  100% {
    transform: rotate(360deg); } }

.form-control {
  display: block;
  width: 100%;
  color: #4d4c4d;
  background-color: #ffffff;
  background-clip: padding-box;
  border: 1px solid #999999;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  margin-bottom: 1rem;
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 12px; }
  .form-control:-ms-input-placeholder {
    color: #666666;
    opacity: 1; }
  .form-control::placeholder {
    color: #666666;
    opacity: 1; }

label {
  color: var(--darkpurple); }

.btn {
  cursor: pointer;
  display: inline-block;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -webkit-user-select: none;
      -ms-user-select: none;
          user-select: none;
  border: 1px solid transparent;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 15px; }
  .btn.btn-half {
    width: 50%; }

.btn-dark {
  color: #ffffff;
  background-color: #18083f;
  border-color: #18083f; }

.btn-dark:hover {
  color: #ffffff;
  background-color: #0b041d;
  border-color: #070212; }

.btn-dark:focus, .btn-dark.focus {
  box-shadow: 0 0 0 0.2rem rgba(24, 8, 63, 0.5); }

.btn-dark.disabled, .btn-dark:disabled {
  color: #ffffff;
  background-color: #18083f;
  border-color: #18083f; }

.btn-arrow {
  background-color: transparent;
  color: white;
  padding: 0.375rem 0;
  font-size: 1rem;
  margin-top: 1.5rem;
  display: block; }
  .btn-arrow + .btn-arrow {
    margin-top: 0.5rem; }
  .btn-arrow:after {
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='%23ffffff' d='M363.3 100.7l144 144C510.4 247.8 512 251.9 512 255.1s-1.562 8.188-4.688 11.31l-144 144c-6.25 6.25-16.38 6.25-22.62 0s-6.25-16.38 0-22.62l116.7-116.7H16c-8.844 0-16-7.156-16-15.1c0-8.844 7.156-16 16-16h441.4l-116.7-116.7c-6.25-6.25-6.25-16.38 0-22.62S357.1 94.44 363.3 100.7z'/%3E%3C/svg%3E");
    height: 20px;
    width: 30px;
    display: inline-block;
    margin-left: 15px;
    background-repeat: no-repeat;
    vertical-align: -4px; }

.alert {
  margin-bottom: 1rem; }

.installer {
  padding-top: 1rem;
  display: -ms-flexbox;
  display: flex;
  border-bottom: 1px solid var(--orange);
  -ms-flex-pack: start;
      justify-content: flex-start;
  -ms-flex-align: center;
      align-items: center; }
  .installer:last-child {
    border: none;
    margin-bottom: 6rem; }

.installer .btn {
  margin-left: auto; }

.games {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-flow: row wrap;
      flex-flow: row wrap;
  -ms-flex-pack: center;
      justify-content: center;
  -ms-flex-align: stretch;
      align-items: stretch; }

.game {
  width: 20%;
  margin-bottom: 2rem;
  transition: all 0.15s ease-out; }
  .game:hover, .game:active {
    -ms-transform: scale(1.05);
        transform: scale(1.05); }

.game__image {
  min-width: 100px;
  height: 100px;
  margin: auto auto 1rem;
  cursor: pointer;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: 60% 60%; }
  @media screen and (max-height: 600px) {
    .game__image {
      height: 60px; } }
  @media screen and (max-width: 600px) {
    .game__image {
      height: 60px;
      min-width: unset;
      max-width: 60px; } }

.game__name {
  font-size: 1em;
  text-align: center; }

.login {
  background-color: var(--orange);
  min-height: 100vh;
  background-image: url("../images/rocket-purple.svg");
  background-repeat: no-repeat;
  background-position: bottom left;
  background-size: 50% 50%; }
  .login .header {
    background: transparent;
    padding: 0 1rem; }
  .login h4 {
    font-size: 1.5rem;
    line-height: 1.2;
    color: white; }
  .login label {
    color: white; }

.row {
  display: -ms-flexbox;
  display: flex;
  margin-right: -15px;
  margin-left: -15px;
  -ms-flex-flow: column wrap;
      flex-flow: column wrap;
  padding: 0 10%; }
  @media (min-width: 992px) {
    .row {
      -ms-flex-flow: row wrap;
          flex-flow: row wrap; } }

.col {
  -ms-flex-positive: 1;
      flex-grow: 1;
  width: 100%;
  position: relative;
  min-height: 1px;
  padding-right: 15px;
  padding-left: 15px; }
  @media (min-width: 992px) {
    .col {
      width: 50%;
      padding-right: 10%; } }

.students {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-flow: row wrap;
      flex-flow: row wrap;
  -ms-flex-pack: justify;
      justify-content: space-between;
  -ms-flex-align: stretch;
      align-items: stretch; }

.student {
  background: white;
  width: calc(50% - 2rem);
  margin: 1rem;
  padding: 1rem;
  border-radius: 10px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: justify;
      justify-content: space-between;
  -ms-flex-align: center;
      align-items: center; }
  .student__name {
    display: block;
    font-weight: bold;
    font-size: 20px; }
  .student__stage {
    display: block;
    font-size: 14px; }
  .student__btn {
    float: right;
    padding: 0.5rem 1rem; }

.environment-indicator {
  background: var(--orange);
  border-radius: 5px;
  pointer-events: none;
  color: black !important; }
